org.richfaces.taglib

## Class EditorTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.EditorTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class EditorTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAutoResize(javax.el.ValueExpression __autoResize)` Attribute enables to get the Editor area to resize to the boundaries of the contents.
    `void` | `setConfiguration(javax.el.ValueExpression __configuration)` Attribute defines configuration properties file name Setter for configuration
    `void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
    `void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
    `void` | `setCustomPlugins(javax.el.ValueExpression __customPlugins)` Attribute defines property file name witch contains descriptors of custom plugins Setter for customPlugins
    `void` | `setDialogType(javax.el.ValueExpression __dialogType)` Attribute defines how dialogs/popups should be opened.
    `void` | `setHeight(javax.el.ValueExpression __height)` Attribute defines height of component.
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
    `void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
    `void` | `setLanguage(javax.el.ValueExpression __language)` Attribute defines Editor language Setter for language
    `void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; content is modified by TinyMCE.
    `void` | `setOninit(javax.el.ValueExpression __oninit)` HTML: script expression; initialization of the editor's instances are finished Setter for oninit
    `void` | `setOnsave(javax.el.ValueExpression __onsave)` HTML: script expression; the contents is extracted/saved.
    `void` | `setOnsetup(javax.el.ValueExpression __onsetup)` HTML: script expression; to add events to editor instances before they get rendered.
    `void` | `setPlugins(javax.el.ValueExpression __plugins)` Attribute defines Editor plugins Setter for plugins
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setReadonly(javax.el.ValueExpression __readonly)` Attribute defines Editor is readonly Setter for readonly
    `void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
    `void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
    `void` | `setSkin(javax.el.ValueExpression __skin)` Attribute defines Editor skin Setter for skin
    `void` | `setTabindex(javax.el.ValueExpression __tabindex)` In visual mode the attribute works the same way as "tab_focus" TinyMCE's property the attribute enables you to specify an element ID to focus, when the TAB key is pressed .
    `void` | `setTheme(javax.el.ValueExpression __theme)` Attribute defines Editor theme Setter for theme
    `void` | `setUseSeamText(javax.el.ValueExpression __useSeamText)` Attribute defines if model value should be converted to Seam Text.
    `void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
    `void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
    `void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
    `void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
    `void` | `setViewMode(javax.el.ValueExpression __viewMode)` Attribute defines if tinyMCE WYSIWYG should be disabled.
    `void` | `setWidth(javax.el.ValueExpression __width)` Attribute defines width of component.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### EditorTag

          public EditorTag()

  - ### Method Detail

    - #### setAutoResize

          public void setAutoResize(javax.el.ValueExpression __autoResize)

      Attribute enables to get the Editor area to resize to the boundaries of the contents. Setter for autoResize
      Parameters:
        `autoResize` - - new value

    - #### setConfiguration

          public void setConfiguration(javax.el.ValueExpression __configuration)

      Attribute defines configuration properties file name Setter for configuration
      Parameters:
        `configuration` - - new value

    - #### setConverter

          public void setConverter(javax.el.ValueExpression __converter)

      Id of Converter to be used or reference to a Converter Setter for converter
      Parameters:
        `converter` - - new value

    - #### setConverterMessage

          public void setConverterMessage(javax.el.ValueExpression __converterMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
      Parameters:
        `converterMessage` - - new value

    - #### setCustomPlugins

          public void setCustomPlugins(javax.el.ValueExpression __customPlugins)

      Attribute defines property file name witch contains descriptors of custom plugins Setter for customPlugins
      Parameters:
        `customPlugins` - - new value

    - #### setDialogType

          public void setDialogType(javax.el.ValueExpression __dialogType)

      Attribute defines how dialogs/popups should be opened. Default value is "modal" Setter for dialogType
      Parameters:
        `dialogType` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Attribute defines height of component. Setter for height
      Parameters:
        `height` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      A localized user presentable name for this component. Setter for label
      Parameters:
        `label` - - new value

    - #### setLanguage

          public void setLanguage(javax.el.ValueExpression __language)

      Attribute defines Editor language Setter for language
      Parameters:
        `language` - - new value

    - #### setOnchange

          public void setOnchange(javax.el.ValueExpression __onchange)

      HTML: script expression; content is modified by TinyMCE. Setter for onchange
      Parameters:
        `onchange` - - new value

    - #### setOninit

          public void setOninit(javax.el.ValueExpression __oninit)

      HTML: script expression; initialization of the editor's instances are finished Setter for oninit
      Parameters:
        `oninit` - - new value

    - #### setOnsave

          public void setOnsave(javax.el.ValueExpression __onsave)

      HTML: script expression; the contents is extracted/saved. Setter for onsave
      Parameters:
        `onsave` - - new value

    - #### setOnsetup

          public void setOnsetup(javax.el.ValueExpression __onsetup)

      HTML: script expression; to add events to editor instances before they get rendered. Setter for onsetup
      Parameters:
        `onsetup` - - new value

    - #### setPlugins

          public void setPlugins(javax.el.ValueExpression __plugins)

      Attribute defines Editor plugins Setter for plugins
      Parameters:
        `plugins` - - new value

    - #### setReadonly

          public void setReadonly(javax.el.ValueExpression __readonly)

      Attribute defines Editor is readonly Setter for readonly
      Parameters:
        `readonly` - - new value

    - #### setRequired

          public void setRequired(javax.el.ValueExpression __required)

      If "true", this component is checked for non-empty input Setter for required
      Parameters:
        `required` - - new value

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
      Parameters:
        `requiredMessage` - - new value

    - #### setSkin

          public void setSkin(javax.el.ValueExpression __skin)

      Attribute defines Editor skin Setter for skin
      Parameters:
        `skin` - - new value

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression __tabindex)

      In visual mode the attribute works the same way as "tab_focus" TinyMCE's property the attribute enables you to specify an element ID to focus, when the TAB key is pressed . You can also use the special ":prev" and ":next" values that will then place the focus on an input element placed before/after the TinyMCE instance in the DOM. While in "source" mode the attribute works like standard HTML tabindex attribute. Setter for tabindex
      Parameters:
        `tabindex` - - new value

    - #### setTheme

          public void setTheme(javax.el.ValueExpression __theme)

      Attribute defines Editor theme Setter for theme
      Parameters:
        `theme` - - new value

    - #### setUseSeamText

          public void setUseSeamText(javax.el.ValueExpression __useSeamText)

      Attribute defines if model value should be converted to Seam Text. Default value is "false" Setter for useSeamText
      Parameters:
        `useSeamText` - - new value

    - #### setValidator

          public void setValidator(javax.el.MethodExpression __validator)

      MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
      Parameters:
        `validator` - - new value

    - #### setValidatorMessage

          public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
      Parameters:
        `validatorMessage` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value of this component Setter for value
      Parameters:
        `value` - - new value

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

      Listener for value changes Setter for valueChangeListener
      Parameters:
        `valueChangeListener` - - new value

    - #### setViewMode

          public void setViewMode(javax.el.ValueExpression __viewMode)

      Attribute defines if tinyMCE WYSIWYG should be disabled. Default value is "visual" Setter for viewMode
      Parameters:
        `viewMode` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Attribute defines width of component. Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.